LibreOffice: DrawingDocumentDrawView Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | Public Attributes | List of all members
DrawingDocumentDrawView Service Referencepublished

This component integrates a view to a DrawPages or MasterPage from a DrawingDocument. More...

`import <DrawingDocumentDrawView.idl;`

Inheritance diagram for DrawingDocumentDrawView:

## Included Services
service | com::sun::star::frame::Controller
| this services offers the integration of this component into the desktop.

## Exported Interfaces
interface | com::sun::star::awt::XWindow
| lets you access the window for this view
interface | com::sun::star::view::XFormLayerAccess
| let's you access the view part of the form layer contained in the document's view
interface | com::sun::star::drawing::XDrawView
| lets you set/get the current page displayed by this view.
interface | com::sun::star::beans::XPropertySet
| lets you access the properties of this service.
interface | com::sun::star::view::XSelectionSupplier
| gives you access to the selected entities of this view.
Exported Interfaces inherited from Controller
interface | XController
| with this interface, components viewed in a Frame can serve events (by supplying dispatches)
interface | XDispatchProvider
| for certain functions which are useful at the UI
interface | com::sun::star::ui::XContextMenuInterception
| this interface enables the controller to get interceptors registered that change context menus or prevent them from being executed
interface | com::sun::star::awt::XUserInputInterception
| makes it possible to intercept keyboard and mouse input.
interface | com::sun::star::view::XSelectionSupplier
| makes it possible to access and change the selection in a view
interface | com::sun::star::datatransfer::XTransferableSupplier
| makes it possible to work with clipboard data
Exported Interfaces inherited from XFormLayerAccess
interface | XControlAccess
| provides access to form controls contained in the view

## Public Attributes
boolean | IsMasterPageMode
| If the view is in master page mode, the view shows the master pages of this model.
boolean | IsLayerMode
| If the view is in layer mode, the user can modify the layer of the model of this view in the user interface.
XDrawPage | CurrentPage
| This is the drawing page that is currently visible.
com::sun::star::awt::Rectangle | VisibleArea
| This is the area that is currently visible.
short | ZoomType
| This property defines the zoom type for the document.
short | ZoomValue
| Defines the zoom value to use.
com::sun::star::awt::Point | ViewOffset
| defines the offset from the top left position of the displayed page to the top left position of the view area in 100th/mm.

## Additional Inherited Members
Public Member Functions inherited from XController
void | attachFrame ([in] XFrame Frame)
| is called to attach the controller with its managing frame.
boolean | attachModel ([in] XModel Model)
| is called to attach the controller to a new model.
boolean | suspend ([in] boolean Suspend)
| is called to prepare the controller for closing the view
any | getViewData ()
| provides access to current view status
void | restoreViewData ([in] any Data)
| restores the view status using the data gotten from a previous call to XController::getViewData().
XModel | getModel ()
| provides access to currently attached model
XFrame | getFrame ()
| provides access to owner frame of this controller
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame.
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls.
Public Member Functions inherited from XDrawView
void | setCurrentPage ([in] com::sun::star::drawing::XDrawPage xPage)
| changes the current page.
com::sun::star::drawing::XDrawPage | getCurrentPage ()
| returns the current page.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XContextMenuInterception
void | registerContextMenuInterceptor ([in]XContextMenuInterceptor Interceptor)
| registers an XContextMenuInterceptor, which will become the first interceptor in the chain of registered interceptors.
void | releaseContextMenuInterceptor ([in]XContextMenuInterceptor Interceptor)
| removes an XContextMenuInterceptor which was previously registered using XContextMenuInterception::registerContextMenuInterceptor().
Protected Member Functions inherited from XUserInputInterception
void | addKeyHandler ([in] ::com::sun::star::awt::XKeyHandler xHandler)
| Add a new listener that is called on com::sun::star::awt::KeyEvent.
void | removeKeyHandler ([in] ::com::sun::star::awt::XKeyHandler xHandler)
| Remove the specified listener from the list of listeners.
void | addMouseClickHandler ([in] ::com::sun::star::awt::XMouseClickHandler xHandler)
| Add a new listener that is called on com::sun::star::awt::MouseEvent.
void | removeMouseClickHandler ([in] ::com::sun::star::awt::XMouseClickHandler xHandler)
| Remove the specified listener from the list of listeners.
Protected Member Functions inherited from XSelectionSupplier
boolean | select ([in] any xSelection) raises ( com::sun::star::lang::IllegalArgumentException )
| selects the object represented by xSelection if it is known and selectable in this object.
any | getSelection ()
void | addSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| registers an event listener, which is called when the selection changes.
void | removeSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| unregisters an event listener which was registered with XSelectionSupplier::addSelectionChangeListener().
Protected Member Functions inherited from XTransferableSupplier
XTransferable | getTransferable ()
| To get access to a transferable representation of a selected part of an object.
void | insertTransferable ([in] XTransferable xTrans) raises ( UnsupportedFlavorException )
| Hands over a transferable object that shall be inserted.
Protected Member Functions inherited from XWindow
void | setPosSize ([in] long X, [in] long Y, [in] long Width, [in] long Height, [in] short Flags)
| sets the outer bounds of the window.
com::sun::star::awt::Rectangle | getPosSize ()
| returns the outer bounds of the window.
void | setVisible ([in] boolean Visible)
| shows or hides the window depending on the parameter.
void | setEnable ([in] boolean Enable)
| enables or disables the window depending on the parameter.
void | setFocus ()
| sets the focus to the window.
void | addWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| adds a window listener to the object.
void | removeWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| removes the specified window listener from the listener list.
void | addFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| adds a focus listener to the object.
void | removeFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| removes the specified focus listener from the listener list.
void | addKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| adds a key listener to the object.
void | removeKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| removes the specified key listener from the listener list.
void | addMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| adds a mouse listener to the object.
void | removeMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| removes the specified mouse listener from the listener list.
void | addMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| adds a mouse motion listener to the object.
void | removeMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| removes the specified mouse motion listener from the listener list.
void | addPaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| adds a paint listener to the object.
void | removePaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| removes the specified paint listener from the listener list.
Protected Member Functions inherited from XFormLayerAccess
::com::sun::star::form::runtime::XFormController | getFormController ([in] ::com::sun::star::form::XForm Form)
| returns the com::sun::star::form::FormController instance which operates on a given form.
boolean | isFormDesignMode ()
| determines whether the view's form layer is currently in design or alive mode
void | setFormDesignMode ([in] boolean DesignMode)
| determines whether the view's form layer is currently in design or alive mode
Protected Member Functions inherited from XControlAccess
com::sun::star::awt::XControl | getControl ([in] com::sun::star::awt::XControlModel xModel) raises ( com::sun::star::container::NoSuchElementException )
| is called to get the control from the specified control model.
Protected Member Functions inherited from XDrawView
void | setCurrentPage ([in] com::sun::star::drawing::XDrawPage xPage)
| changes the current page.
com::sun::star::drawing::XDrawPage | getCurrentPage ()
| returns the current page.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.

## Detailed Description

This component integrates a view to a DrawPages or MasterPage from a DrawingDocument.

Developers Guide
  Office Development - Component - Controllers - Document Specific Controller Services
  Drawings and Presentations - Zooming
  Drawings and Presentations - Other Drawing Specific View Settings
  Drawings and Presentations - Setting the Current Page

## Exported Interfaces

## ◆ com::sun::star::frame::Controller

service com::sun::star::frame::Controller

this services offers the integration of this component into the desktop.

## Exported Interfaces

## ◆ com::sun::star::awt::XWindow

interface com::sun::star::awt::XWindow
| optional

lets you access the window for this view

Since
  OOo 1.1.2

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

lets you access the properties of this service.

## ◆ com::sun::star::drawing::XDrawView

interface com::sun::star::drawing::XDrawView

lets you set/get the current page displayed by this view.

## ◆ com::sun::star::view::XFormLayerAccess

interface com::sun::star::view::XFormLayerAccess
| optional

let's you access the view part of the form layer contained in the document's view

## ◆ com::sun::star::view::XSelectionSupplier

interface com::sun::star::view::XSelectionSupplier

gives you access to the selected entities of this view.

## Member Data Documentation

## ◆ CurrentPage

XDrawPage CurrentPage
| property

This is the drawing page that is currently visible.

## ◆ IsLayerMode

boolean IsLayerMode
| property

If the view is in layer mode, the user can modify the layer of the model of this view in the user interface.

## ◆ IsMasterPageMode

boolean IsMasterPageMode
| property

If the view is in master page mode, the view shows the master pages of this model.

## ◆ ViewOffset

com::sun::star::awt::Point ViewOffset
| optionalproperty

defines the offset from the top left position of the displayed page to the top left position of the view area in 100th/mm.

Since
  OOo 1.1.2

## ◆ VisibleArea

com::sun::star::awt::Rectangle VisibleArea
| propertyreadonly

This is the area that is currently visible.

## ◆ ZoomType

short ZoomType
| optionalproperty

This property defines the zoom type for the document.

See also
  com::sun::star::view::DocumentZoomType

Note: After setting other types then com::sun::star::view::DocumentZoomType::BY_VALUE, implementations may calculate the required zoom value and set the type to com::sun::star::view::DocumentZoomType::BY_VALUE afterwards.

Since
  OOo 1.1.2

## ◆ ZoomValue

short ZoomValue
| optionalproperty

Defines the zoom value to use.

Valid only if the ZoomType is set to com::sun::star::view::DocumentZoomType::BY_VALUE.

Since
  OOo 1.1.2

The documentation for this service was generated from the following file:

- com/sun/star/drawing/DrawingDocumentDrawView.idl